- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomAttr Class Reference

Search for all occurrences

## Detailed Description

Definition at line 449 of file qdom.h.

`#include <qdom.h>`

Inheritance diagram for QDomAttr:
[legend]

List of all members.

## Public Member Functions
| QDomAttr ()
| QDomAttr (const QDomAttr &x)
QDomAttr & | operator= (const QDomAttr &)
QString | name () const
bool | specified () const
QDomElement | ownerElement () const
QString | value () const
void | setValue (const QString &)
QDomNode::NodeType | nodeType () const
## Friends
class | QDomDocument
class | QDomElement
class | QDomNode

## Constructor & Destructor Documentation

QDomAttr | ( |  | ) |

QDomAttr | ( | const QDomAttr & | x | ) |

## Member Function Documentation

QDomAttr& operator= | ( | const QDomAttr & |  | ) |

QString name | ( |  | ) | const

Search for all occurrences

bool specified | ( |  | ) | const

Search for all occurrences

QDomElement ownerElement | ( |  | ) | const

Search for all occurrences

QString value | ( |  | ) | const

Search for all occurrences

void setValue | ( | const QString & |  | ) |

Search for all occurrences

QDomNode::NodeType nodeType | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 466 of file qdom.h.

    { return AttributeNode; }

## Friends And Related Function Documentation

friend class QDomDocument `[friend]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 471 of file qdom.h.

friend class QDomElement `[friend]`

Search for all occurrences

Definition at line 472 of file qdom.h.

friend class QDomNode `[friend]`

Search for all occurrences

Definition at line 473 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr
QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr QDomAttr